LOOKUP_CREATE(9)

NAME
lookup_create - lookup a dentry, creating it if it doesn't exist

SYNOPSIS

struct dentry * lookup_create (struct nameidata * nd, int is_dir);

ARGUMENTS

nd  nameidata info

is_dir
    directory flag

DESCRIPTION

Simple function to lookup and return a dentry and create it if it doesn't exist. Is SMP-safe.

Returns with nd->dentry->d_inode->i_mutex locked.